# Created by pyp2rpm-1.0.1
%global pypi_name pysynphot
%define version 0.9.5

Name:           python-pysynphot
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Python Synthetic Photometry Utilities

License:        BSD
URL:            https://trac.assembla.com/astrolib/wiki/WikiStart#pysynphot
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.5
BuildRequires:  python-stsci-distutils >= 0.3
BuildRequires:  python-numpy-devel
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext


Obsoletes: python-stsci <= 2.13-4

%description
This is a prototype module for manipulating spectra.
It is intended for it to be used for synthetic
photometry, i.e. constructing source spectra and
then passing these spectra through an astronomical
observatory (e.g. HST, JWST...).
 
Install the module the usual way:

python setup.py install

The spectrum manipulation module spectrum.py will work
standalone, whereas the observationmode.py ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
sphinx-build doc/tsrs/choppy_count_problem/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html commissioning/diags/README.txt commissioning/extrap/README.txt commissioning/grid_atlas/pickles_readme.txt commissioning/grid_atlas/README.txt commissioning/readme.txt
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.5-3.mga4
+ Revision: 544167
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.5-2.mga4
+ Revision: 499272
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 0.9.5-1.mga4
+ Revision: 477738
- add sphinxext
- imported package python-pysynphot

